<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
    <xsl:output method="html" encoding="EUC-JP" omit-xml-declaration="yes" media-type="text/html" />
    
    <xsl:template match="/">
        <html>
        <head>
            <title>コンテンツマネージャー</title>
            <link rel="stylesheet" href="manager.resources/manager.css" type="text/css" />
            <script type="text/javascript" language="JavaScript" src="manager.resources/manager.js">//</script>
        </head>
        <body>
        <div class="header">
            <div><img src="manager.resources/manager_header.gif" /></div>
        </div>
        <div class="menu">
            <table>
                <tr><td><!-- <a href="manager.php?p=entrynames">コンテンツを編集する</a> --></td></tr>
            </table>
            <font color="#884444">
                <b>[注意事項]</b><br />
                ※ ブラウザの「戻る」を使うと正常に動作しません。<br />
                ※ 編集／削除／送信内容は、保存するまでは確定されません。<br />
            </font>
        </div>
        <div class="main">
            <xsl:apply-templates />
        </div>
        </body>
        </html>
    </xsl:template>
    
    <xsl:template match="entrynames">
        
        <div class="subtitle">■コンテンツの編集</div>
        <div class="description">編集するコンテンツを選んでください。</div>
        <table>
            <tr><th width="100%">コンテンツ名</th><th nowrap="nowrap" >一覧へ</th></tr>
            
            <xsl:for-each select="entryname" >
                <tr>
                    <td><xsl:value-of select="@entrycaption" /></td>
                    <td nowrap="nowrap"><a href="manager.php?p=entries&amp;entryname={@entryname}" class="imagebutton"><img src="manager.resources/button_showlist.gif" alt="一覧を表示" border="0" /></a></td>
                </tr>
            </xsl:for-each>
        
        </table>
        
    </xsl:template>
    
    <xsl:template match="entries" >
        
        <div class="subtitle">■<a href="manager.php?p=entrynames">コンテンツの編集</a> ＞ <xsl:value-of select="@entrycaption" /></div>
        <div class="description">編集するエントリIDを選んでください。</div>
        <div class="buttonpanel">
            <a href="javascript:void(0);" class="imagebutton" onclick="submitDeleteEntries();return false;" ><img name="btnDelete" alt="選択エントリを削除" src="manager.resources/button_delete.gif" /></a>
            <a href="javascript:void(0);" class="imagebutton" onclick="submitAddNewEntry('{@entryname}');return false;" ><img name="btnAdd" alt="新規エントリを追加" src="manager.resources/button_addnew.gif" /></a>
            <a href="javascript:void(0);" class="imagebutton" onclick="moveToEditContents();return false;" ><img name="btnMoveToParent" alt="上に戻る" src="manager.resources/button_return.gif" /></a>
            <!--
            <input type="image" name="btnDelete" value="選択エントリを削除" alt="" src="manager.resources/button_delete.gif" onclick="submitDeleteEntries()" />
            <input type="image" name="btnAdd" value="新規エントリを追加" src="manager.resources/button_addnew.gif" onclick="submitAddNewEntry('{@entryname}')" />
            <input type="image" name="btnMoveToParent" value="上に戻る" alt="" src="manager.resources/button_return.gif" onclick="moveToEditContents()" />
            -->
        </div>
        
        <form action="manager.php" method="post" name="frmEntries" >
            <input type="hidden" name="action" value="" />
            <table>
                <tr><th nowrap="nowrap">削除</th><th nowrap="nowrap">ID</th><th nowrap="nowrap">更新日</th><th nowrap="nowrap" width="100%">要約</th><th nowrap="nowrap">編集</th></tr>
                <xsl:for-each select="entry" >
                    <tr>
                        <td align="center">
                            <input type="checkbox" name="items[]" value="{@id}" />
                        </td>
                        <td nowrap="nowrap"><xsl:value-of select="@id" /></td>
                        <td nowrap="nowrap"><xsl:value-of select="@date" /></td>
                        <td><xsl:value-of select="text()" /></td>
                        <td nowrap="nowrap">
                            <a href="manager.php?p=entry&amp;entryname={/entries/@entryname}&amp;entryid={@id}" class="imagebutton"><img src="manager.resources/button_edit.gif" alt="編集" border="0" /></a>
                        </td>
                    </tr>
                </xsl:for-each>
                <tr>
                    <td align="center">
                        －
                    </td>
                    <td nowrap="nowrap" align="center">-</td>
                    <td nowrap="nowrap" align="center">－</td>
                    <td>(新規エントリを追加)</td>
                    <td nowrap="nowrap">
                        <a href="javascript:void(0);" class="imagebutton" onclick="submitAddNewEntry('{@entryname}');return false;" ><img name="btnAdd" alt="新規エントリを追加" src="manager.resources/button_edit.gif" /></a>
                    </td>
                </tr>
                
            </table>
        </form>
        
    </xsl:template>
    
    <xsl:template match="entryeditor">
  
        <xsl:for-each select="entry" >
            <div class="subtitle">
                ■<a href="manager.php?p=entrynames">コンテンツの編集</a>
                 ＞ 
                <a href="manager.php?p=entries&amp;entryname={@entryname}" >
                    <xsl:value-of select="@entrycaption"/>
                </a>
                 ＞ 
                <xsl:if test="@id='new'" >(新規エントリ)</xsl:if>
                <xsl:if test="@id!='new'" ><xsl:value-of select="@id"/></xsl:if>
            </div>
            
            <form action="manager.php" method="post" name="frmEntryEditor" enctype="multipart/form-data">
                <input type="hidden" name="nextlevel" value="" />
                <input type="hidden" name="action" value="" />
                <input type="hidden" name="isdirty" value="{@isdirty}" />
                <input type="hidden" name="{/entryeditor/reloadtoken/@key}" value="{/entryeditor/reloadtoken/@value}" />
                
                <xsl:for-each select="/entryeditor/location">
                    <div class="entrylocation">
                        <b>《現在の編集位置》</b><br />
                        
                        <xsl:if test="@istop='True'">エントリルート<br /></xsl:if>
                        <xsl:if test="@istop='False'"><a href="javascript:void(0);" onclick="moveLevel('^{@maxlevel}');return false;">エントリルート</a> <br /></xsl:if>
                        
                        <xsl:for-each select="locationitem" >
                            <xsl:sort select="@distance" order="descending" />
                            <div style="padding-left:{@level * 10}">
                                └ <a href="javascript:void(0);" onclick="moveLevel('^{@distance}');return false;"><xsl:value-of select="@caption" /></a>
                            </div>
                        </xsl:for-each>
                        
                    </div>
                </xsl:for-each>
                
                <xsl:if test="/entryeditor/errormessage">
                    <div class="error">
                        <xsl:value-of select="/entryeditor/errormessage/text()" />
                    </div>
                </xsl:if>
                

                
                <div class="buttonpanel">
                    <a href="javascript:void(0);" class="imagebutton" onclick="submitSave();return false;" ><img name="btnSave" alt="編集内容を確定する" src="manager.resources/button_save.gif" /></a>
                    <a href="javascript:void(0);" class="imagebutton" onclick="cancelEdit('{@entryname}');return false;" ><img name="btnCancel" alt="キャンセル" src="manager.resources/button_cancel.gif" /></a>
                    <!--
                    <input type="image" name="btnSave" value="編集内容を確定する" alt="" src="manager.resources/button_save.gif" onclick="submitSave()" />
                    <input type="image" name="btnCancel" value="キャンセル" alt="" src="manager.resources/button_cancel.gif" onclick="cancelEdit('{@entryname}')" />
                    -->
                    
                    <xsl:if test="/entryeditor/location/@istop='False'" >
                        <a href="javascript:void(0);" class="imagebutton" onclick="moveLevel('^1');return false;" ><img name="btnMoveToUpper" alt="一つ上に戻る" src="manager.resources/button_return.gif" /></a>
                        <!--
                        <input type="image" name="btnMoveToUpper" value="一つ上に戻る" alt="" src="manager.resources/button_return.gif" onclick="moveLevel('^1')" />
                        -->
                    </xsl:if>
                </div>
                
                <xsl:if test="/entryeditor/location/@currenttype!='list'" >
                    <table>
                        <tr><th nowrap="nowrap">説明</th><th nowrap="nowrap">入力欄</th></tr>
                        
                        <xsl:for-each select="entrydata">
                            <tr>
                                <td><xsl:value-of select="@caption" /></td>
                                <td>
                                    <xsl:choose>
                                        <xsl:when test="@type='text'">
                                            <input type="text" name="{@name}" size="{@size}" value="{text()}">
                                                <xsl:if test="@maxlength">
                                                    <xsl:attribute name="maxlength"><xsl:value-of select="@maxlength" /></xsl:attribute>
                                                </xsl:if>
                                            </input><br />
                                        </xsl:when>
                                        
                                        <xsl:when test="@type='textarea'">
                                            <textarea name="{@name}" cols="{@cols}" rows="{@rows}" >
                                                <xsl:value-of select="text()" />
                                            </textarea><br />
                                        </xsl:when>
                                        
                                        <xsl:when test="@type='int'">
                                            <input type="text" name="{@name}" size="4" value="{text()}" /><br />
                                        </xsl:when>
                                        
                                        <xsl:when test="@type='menu'">
                                            <select name="{@name}" >
                                                <xsl:for-each select="option">
                                                    <option value="{@value}">
                                                        <xsl:if test="@selected">
                                                            <xsl:attribute name="selected"><xsl:value-of select="@selected" /></xsl:attribute>
                                                        </xsl:if>
                                                        <xsl:value-of select="text()" />
                                                    </option>
                                                </xsl:for-each>
                                            </select>
                                        </xsl:when>
                                        
                                        <xsl:when test="@type='list'">
                                            <a href="javascript:void(0);" onclick="moveLevel('{@name}');return false;" class="imagebutton" ><img src="manager.resources/button_editlist.gif" alt="リストを編集する" border="0" /></a><br />
                                        </xsl:when>                         
                                        
                                        <xsl:when test="@type='img'">
                                            <xsl:if test="@state='deleted'">
                                                <a href="{@fileurl}" target="_blank"><xsl:value-of select="@org" />(削除されています)</a><br />
                                            </xsl:if>
                                            <xsl:if test="@state!='deleted'">
                                                <xsl:if test="@org=''">
                                                    (画像なし)
                                                </xsl:if>
                                                <xsl:if test="@org!=''">
                                                    <a href="{@fileurl}" target="_blank"><xsl:value-of select="@org" /></a>
                                                </xsl:if>
                                            </xsl:if>
                                            
                                            <xsl:if test="@alt">
                                                ／画像名 <input type="text" size="40" name="{@name}_ALT" value="{@alt}" />
                                            </xsl:if>
                                            
                                            ／<input type="checkbox" name="{@name}_DEL" />削除<br />
                                            アップロードするファイル <input type="file" name="{@name}" size="50" /><br />
                                            
                                        </xsl:when>
                                        
                                        <xsl:when test="@type='file'">
                                            <xsl:if test="@state='deleted'">
                                                <a href="{@fileurl}" target="_blank"><xsl:value-of select="@org" />(削除されています)</a><br />
                                            </xsl:if>
                                            <xsl:if test="@state!='deleted'">
                                                <xsl:if test="@org=''">
                                                    (ファイルなし)
                                                </xsl:if>
                                                <xsl:if test="@org!=''">
                                                    <a href="{@fileurl}" target="_blank"><xsl:value-of select="@org" /></a>
                                                </xsl:if>
                                            </xsl:if>
                                            
                                            ／<input type="checkbox" name="{@name}_DEL" />削除<br />
                                            アップロードするファイル <input type="file" name="{@name}" size="50" /><br />
                                            
                                        </xsl:when>                         
                                        
                                        <xsl:when test="@type='entrydate' or @type='datetime' or @type='date' or @type='year' or @type='month' or @type='time'" >
                                            <!-- 年の出力 -->
                                            <xsl:if test="@type='entrydate' or @type='datetime' or @type='date' or @type='year' or @type='month'">
                                                <input type="text" size="4" maxlength="4" name="{@name}_year" value="{@year}" />年
                                            </xsl:if>
                                            
                                            <!-- 月の出力 -->
                                            <xsl:if test="@type='entrydate' or @type='datetime' or @type='date' or @type='month'">
                                                <select name="{@name}_month" >
                                                    <option value="00"><xsl:if test="@month='00'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if></option>
                                                    <option value="01"><xsl:if test="@month='01'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>01</option>
                                                    <option value="02"><xsl:if test="@month='02'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>02</option>
                                                    <option value="03"><xsl:if test="@month='03'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>03</option>
                                                    <option value="04"><xsl:if test="@month='04'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>04</option>
                                                    <option value="05"><xsl:if test="@month='05'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>05</option>
                                                    <option value="06"><xsl:if test="@month='06'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>06</option>
                                                    <option value="07"><xsl:if test="@month='07'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>07</option>
                                                    <option value="08"><xsl:if test="@month='08'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>08</option>
                                                    <option value="09"><xsl:if test="@month='09'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>09</option>
                                                    <option value="10"><xsl:if test="@month='10'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>10</option>
                                                    <option value="11"><xsl:if test="@month='11'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>11</option>
                                                    <option value="12"><xsl:if test="@month='12'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>12</option>
                                                </select>月
                                            </xsl:if>
                                            
                                            <!-- 日の出力 -->
                                            <xsl:if test="@type='entrydate' or @type='datetime' or @type='date'">
                                                <select name="{@name}_day" >
                                                    <option value="00"><xsl:if test="@day='00'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if></option>
                                                    <option value="01"><xsl:if test="@day='01'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>01</option>
                                                    <option value="02"><xsl:if test="@day='02'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>02</option>
                                                    <option value="03"><xsl:if test="@day='03'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>03</option>
                                                    <option value="04"><xsl:if test="@day='04'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>04</option>
                                                    <option value="05"><xsl:if test="@day='05'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>05</option>
                                                    <option value="06"><xsl:if test="@day='06'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>06</option>
                                                    <option value="07"><xsl:if test="@day='07'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>07</option>
                                                    <option value="08"><xsl:if test="@day='08'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>08</option>
                                                    <option value="09"><xsl:if test="@day='09'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>09</option>
                                                    <option value="10"><xsl:if test="@day='10'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>10</option>
                                                    <option value="11"><xsl:if test="@day='11'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>11</option>
                                                    <option value="12"><xsl:if test="@day='12'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>12</option>
                                                    <option value="13"><xsl:if test="@day='13'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>13</option>
                                                    <option value="14"><xsl:if test="@day='14'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>14</option>
                                                    <option value="15"><xsl:if test="@day='15'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>15</option>
                                                    <option value="16"><xsl:if test="@day='16'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>16</option>
                                                    <option value="17"><xsl:if test="@day='17'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>17</option>
                                                    <option value="18"><xsl:if test="@day='18'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>18</option>
                                                    <option value="19"><xsl:if test="@day='19'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>19</option>
                                                    <option value="20"><xsl:if test="@day='20'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>20</option>
                                                    <option value="21"><xsl:if test="@day='21'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>21</option>
                                                    <option value="22"><xsl:if test="@day='22'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>22</option>
                                                    <option value="23"><xsl:if test="@day='23'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>23</option>
                                                    <option value="24"><xsl:if test="@day='24'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>24</option>
                                                    <option value="25"><xsl:if test="@day='25'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>25</option>
                                                    <option value="26"><xsl:if test="@day='26'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>26</option>
                                                    <option value="27"><xsl:if test="@day='27'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>27</option>
                                                    <option value="28"><xsl:if test="@day='28'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>28</option>
                                                    <option value="29"><xsl:if test="@day='29'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>29</option>
                                                    <option value="30"><xsl:if test="@day='30'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>30</option>
                                                    <option value="31"><xsl:if test="@day='31'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>31</option>
                                                </select>日
                                            </xsl:if>
                                            
                                            <!-- 時の出力 -->
                                            <xsl:if test="@type='entrydate' or @type='datetime' or @type='time'">
                                                <select name="{@name}_hour" >
                                                    <option value="00"><xsl:if test="@hour='00'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>00</option>
                                                    <option value="01"><xsl:if test="@hour='01'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>01</option>
                                                    <option value="02"><xsl:if test="@hour='02'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>02</option>
                                                    <option value="03"><xsl:if test="@hour='03'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>03</option>
                                                    <option value="04"><xsl:if test="@hour='04'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>04</option>
                                                    <option value="05"><xsl:if test="@hour='05'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>05</option>
                                                    <option value="06"><xsl:if test="@hour='06'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>06</option>
                                                    <option value="07"><xsl:if test="@hour='07'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>07</option>
                                                    <option value="08"><xsl:if test="@hour='08'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>08</option>
                                                    <option value="09"><xsl:if test="@hour='09'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>09</option>
                                                    <option value="10"><xsl:if test="@hour='10'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>10</option>
                                                    <option value="11"><xsl:if test="@hour='11'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>11</option>
                                                    <option value="12"><xsl:if test="@hour='12'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>12</option>
                                                    <option value="13"><xsl:if test="@hour='13'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>13</option>
                                                    <option value="14"><xsl:if test="@hour='14'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>14</option>
                                                    <option value="15"><xsl:if test="@hour='15'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>15</option>
                                                    <option value="16"><xsl:if test="@hour='16'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>16</option>
                                                    <option value="17"><xsl:if test="@hour='17'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>17</option>
                                                    <option value="18"><xsl:if test="@hour='18'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>18</option>
                                                    <option value="19"><xsl:if test="@hour='19'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>19</option>
                                                    <option value="20"><xsl:if test="@hour='20'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>20</option>
                                                    <option value="21"><xsl:if test="@hour='21'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>21</option>
                                                    <option value="22"><xsl:if test="@hour='22'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>22</option>
                                                    <option value="23"><xsl:if test="@hour='23'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>23</option>
                                                </select>時
                                            </xsl:if>
                                            
                                            <!-- 分の出力 -->
                                            <xsl:if test="@type='entrydate' or @type='datetime' or @type='time'">
                                                <select name="{@name}_minute" >
                                                    <option value="00"><xsl:if test="@minute='00'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>00</option>
                                                    <option value="01"><xsl:if test="@minute='01'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>01</option>
                                                    <option value="02"><xsl:if test="@minute='02'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>02</option>
                                                    <option value="03"><xsl:if test="@minute='03'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>03</option>
                                                    <option value="04"><xsl:if test="@minute='04'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>04</option>
                                                    <option value="05"><xsl:if test="@minute='05'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>05</option>
                                                    <option value="06"><xsl:if test="@minute='06'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>06</option>
                                                    <option value="07"><xsl:if test="@minute='07'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>07</option>
                                                    <option value="08"><xsl:if test="@minute='08'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>08</option>
                                                    <option value="09"><xsl:if test="@minute='09'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>09</option>
                                                    <option value="10"><xsl:if test="@minute='10'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>10</option>
                                                    <option value="11"><xsl:if test="@minute='11'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>11</option>
                                                    <option value="12"><xsl:if test="@minute='12'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>12</option>
                                                    <option value="13"><xsl:if test="@minute='13'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>13</option>
                                                    <option value="14"><xsl:if test="@minute='14'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>14</option>
                                                    <option value="15"><xsl:if test="@minute='15'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>15</option>
                                                    <option value="16"><xsl:if test="@minute='16'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>16</option>
                                                    <option value="17"><xsl:if test="@minute='17'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>17</option>
                                                    <option value="18"><xsl:if test="@minute='18'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>18</option>
                                                    <option value="19"><xsl:if test="@minute='19'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>19</option>
                                                    <option value="20"><xsl:if test="@minute='20'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>20</option>
                                                    <option value="21"><xsl:if test="@minute='21'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>21</option>
                                                    <option value="22"><xsl:if test="@minute='22'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>22</option>
                                                    <option value="23"><xsl:if test="@minute='23'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>23</option>
                                                    <option value="24"><xsl:if test="@minute='24'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>24</option>
                                                    <option value="25"><xsl:if test="@minute='25'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>25</option>
                                                    <option value="26"><xsl:if test="@minute='26'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>26</option>
                                                    <option value="27"><xsl:if test="@minute='27'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>27</option>
                                                    <option value="28"><xsl:if test="@minute='28'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>28</option>
                                                    <option value="29"><xsl:if test="@minute='29'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>29</option>
                                                    <option value="30"><xsl:if test="@minute='30'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>30</option>
                                                    <option value="31"><xsl:if test="@minute='31'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>31</option>
                                                    <option value="32"><xsl:if test="@minute='32'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>32</option>
                                                    <option value="33"><xsl:if test="@minute='33'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>33</option>
                                                    <option value="34"><xsl:if test="@minute='34'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>34</option>
                                                    <option value="35"><xsl:if test="@minute='35'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>35</option>
                                                    <option value="36"><xsl:if test="@minute='36'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>36</option>
                                                    <option value="37"><xsl:if test="@minute='37'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>37</option>
                                                    <option value="38"><xsl:if test="@minute='38'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>38</option>
                                                    <option value="39"><xsl:if test="@minute='39'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>39</option>
                                                    <option value="40"><xsl:if test="@minute='40'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>40</option>
                                                    <option value="41"><xsl:if test="@minute='41'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>41</option>
                                                    <option value="42"><xsl:if test="@minute='42'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>42</option>
                                                    <option value="43"><xsl:if test="@minute='43'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>43</option>
                                                    <option value="44"><xsl:if test="@minute='44'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>44</option>
                                                    <option value="45"><xsl:if test="@minute='45'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>45</option>
                                                    <option value="46"><xsl:if test="@minute='46'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>46</option>
                                                    <option value="47"><xsl:if test="@minute='47'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>47</option>
                                                    <option value="48"><xsl:if test="@minute='48'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>48</option>
                                                    <option value="49"><xsl:if test="@minute='49'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>49</option>
                                                    <option value="50"><xsl:if test="@minute='50'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>50</option>
                                                    <option value="51"><xsl:if test="@minute='51'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>51</option>
                                                    <option value="52"><xsl:if test="@minute='52'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>52</option>
                                                    <option value="53"><xsl:if test="@minute='53'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>53</option>
                                                    <option value="54"><xsl:if test="@minute='54'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>54</option>
                                                    <option value="55"><xsl:if test="@minute='55'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>55</option>
                                                    <option value="56"><xsl:if test="@minute='56'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>56</option>
                                                    <option value="57"><xsl:if test="@minute='57'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>57</option>
                                                    <option value="58"><xsl:if test="@minute='58'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>58</option>
                                                    <option value="59"><xsl:if test="@minute='59'"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if>59</option>
                                                </select>分
                                            </xsl:if>
                                            
                                            <xsl:if test="@type='entrydate'" >
                                                　<input type="checkbox" name="{@name}_autoupdate" id="{@name}_autoupdate" /><label for="{@name}_autoupdate">現在日時を自動設定</label>
                                            </xsl:if>
                                            
                                        </xsl:when>
                                        
                                    </xsl:choose>
                                </td>
                            </tr>
                        </xsl:for-each>
                    </table>
                </xsl:if>
                
                <xsl:if test="/entryeditor/location/@currenttype='list'" >
                    <div class="buttonpanel" align="left">
                        <a href="javascript:void(0);" class="imagebutton" onclick="submitDeleteItems();return false;" ><img name="btnDeleteItem" alt="選択リスト項目を削除" src="manager.resources/button_delete.gif" /></a>
                        <a href="javascript:void(0);" class="imagebutton" onclick="submitAddNewItem();return false;" ><img name="btnAddItem" alt="新規リスト項目を追加" src="manager.resources/button_addnew.gif" /></a>
                        <!--
                        <input type="image" name="btnDeleteItem" value="選択リスト項目を削除" alt="" src="manager.resources/button_delete.gif" onclick="submitDeleteItems()" />
                        <input type="image" name="btnAddItem" value="新規リスト項目を追加" alt="" src="manager.resources/button_addnew.gif" onclick="submitAddNewItem()" />
                        -->
                    </div>
                    <table >
                        <tr><th nowrap="nowrap">削除</th><th nowrap="nowrap" width="100%">項目</th><th nowrap="nowrap">ID</th><th nowrap="nowrap">編集</th></tr>
                        <xsl:for-each select="entrydata">
                            <tr>
                                <td align="center">
                                    <input type="checkbox" name="items[]" value="{@listid}" />
                                </td>
                                <td>
                                    <xsl:value-of select="@caption" />
                                </td>
                                <td nowrap="nowrap">
                                    <xsl:value-of select="@listid" />
                                </td>
                                <td nowrap="nowrap">
                                    <a href="javascript:void(0);" onclick="moveLevel( '{@listid}' );return false;"  class="imagebutton"><img src="manager.resources/button_edit.gif" alt="編集" border="0" /></a>
                                </td>
                            </tr>
                        </xsl:for-each>
                        <tr>
                            <td align="center">
                                －
                            </td>
                            <td>
                                （新規項目）
                            </td>
                            <td nowrap="nowrap">
                                *
                            </td>
                            <td nowrap="nowrap">
                                <a href="javascript:void(0);" onclick="submitAddNewItem();return false;" class="imagebutton"><img src="manager.resources/button_edit.gif" alt="編集" border="0" /></a>
                            </td>
                        </tr>
                    </table>
                </xsl:if>
            </form>
        </xsl:for-each>
        
    </xsl:template>
</xsl:stylesheet>